
Foreman - Bug #3712

Change develop versioning to indicate upcoming release

11/21/2013 04:54 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The version in develop is "1.3-develop" if 1.3 was our last release and 1.4 is the upcoming release.  For the plugin registration

system being added in #3510, we want to be able to say a plugin needs a minimum version of 1.4.  If develop's VERSION shows

1.3-develop, this won't match - but we equally don't want to say minimum version of 1.3, as this will match 1.3-stable.

So develop's VERSION needs to say 1.4.  While doing this, the RPM version should be updated to be consistent.

Related issues:

Blocks Foreman - Feature #3510: As a GUI user, I would like to know what plug... Closed 10/25/2013

Associated revisions

Revision b21bd4c9 - 11/21/2013 07:21 PM - Dominic Cleal

fixes #3712 - change develop versioning scheme to indicate next version

Revision e342a0b9 - 11/21/2013 10:18 PM - Dominic Cleal

fixes #3712 - change develop versioning scheme to indicate next version

Revision 786b8398 - 11/21/2013 10:19 PM - Dominic Cleal

fixes #3712 - change develop versioning scheme to indicate next version

Revision 133bac9f - 11/22/2013 04:18 PM - Dominic Cleal

fixes #3712 - change develop versioning scheme to indicate next version

Revision c9c69761 - 11/25/2013 08:48 AM - Lukas Zapletal

refs #3712 - write VERSION file to /usr/share/foreman/VERSION

History

#1 - 11/21/2013 04:55 PM - Dominic Cleal

- Blocks Feature #3510: As a GUI user, I would like to know what plugins are installed added

#2 - 11/21/2013 05:08 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1044

#3 - 11/21/2013 07:31 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b21bd4c90da3b7249263b236240c216e386b80c2.
